## bitstream-dmo 1.5

=== debian/changelog ===
bitstream-dmo (1:1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Nov 2018 15:57:31 +0100

bitstream-dmo (1:1.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jul 2018 14:36:38 +0200

bitstream-dmo (1:1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Jan 2018 09:13:06 +0100

bitstream-dmo (1:1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2017 08:04:30 +0100

bitstream (1.1-2) unstable; urgency=medium

  * Team upload
  * Update Homepage field
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Dec 2016 19:02:18 +0000

bitstream (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Bump compat to 9.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper B-D to (>= 9).
    - Update Vcs-*.
    - Add myself to Uploaders.
  * debian/copyright: Update copyright years.
  * debian/rules: Install NEWS as changelog.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Jan 2016 15:12:55 +0100

bitstream (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #653218)

 -- Alessio Treglia <alessio@debian.org>  Sun, 25 Dec 2011 14:08:57 +0100
