=== debian/control ===
Source: bitstream-dmo
Section: libdevel
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://code.videolan.org/videolan/bitstream
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11)

Package: libbitstream-dev
Architecture: all
Depends: ${misc:Depends}
Description: C headers giving access to binary streams like MPEG or DVB
 biTStream is a set of C headers allowing a simpler access to binary
 structures such as specified by MPEG, DVB, IETF, etc.
 .
 The goal of this package is to offer a simpler access that libdvbpsi does
 currently. This package is also lower level and more efficient: fewer
 memory allocations, fewer memory copies.
