## bitstream-dmo 1.6

=== debian/changelog ===
bitstream-dmo (1:1.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Nov 2025 14:17:39 +0100
