=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://code.videolan.org/videolan/bitstream
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
 
 Package: libbitstream-dev
 Architecture: all
