=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- \
	DESTDIR=$(CURDIR)/debian/libbitstream-dev PREFIX=/usr

override_dh_installexamples:
	dh_installexamples -Xbitstream

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_clean:
	dh_clean examples/bitstream

override_dh_auto_build:
